import React from 'react';
import { Menu, Icon } from 'antd';
import '../leftTab.less';
const SubMenu = Menu.SubMenu;
const MenuItemGroup = Menu.ItemGroup;


const LeftTab = React.createClass({
    getInitialState() {
        return {
            current: 'group',
        };
    },
    handleClick(e) {
        this.props.handlekey(e.key);
        this.setState({
            current: e.key,
        });
    },
    componentWillMount(){
        if ( window.location.hash ) {
            this.state.current = window.location.hash.substr(1);
        };
    },
    render() {
        return (
            <Menu onClick={this.handleClick}
                selectedKeys={[this.state.current]}
                mode="vertical"
                className="account-left"
                >
                <Menu.Item key="group">
                    基本信息
                </Menu.Item>
                <Menu.Item key="company">
                    单位资料
                </Menu.Item>
                <Menu.Item key="tech">
                    技术能力
                </Menu.Item>
                <Menu.Item key="ablt">
                    能力标签
                </Menu.Item>
                <Menu.Item key="hrSituation">
                    人力状况
                </Menu.Item>
            </Menu>
        );
    },
});

export default LeftTab;